import http from "@/http/http.js";
const request = http.request;
const urlType = "order";



export function getList(data) {
	return request({
		url: urlType + '/admin/data/entryManager/list',
		method: "GET",
		data: {
			...data,
		},
	});
}


// ocr识别填充
export function getInfoByImg(data) {
	return request({
		url: urlType + '/admin/data/entryManager/getInfoByImg',
		method: "GET",
		data: {
			...data,
		},
	});
}

// 查询银行支行列表
export function bankBranchList(data) {
	return request({
		url: urlType + '/admin/data/entryManager/bankBranchList',
		method: "GET",
		data: {
			...data,
		},
	});
}

// 获取进件信息
export function getEntryManager(data) {
	return request({
		url: urlType + '/admin/data/entryManager',
		method: "GET",
		data: {
			...data,
		},
	});
}
//主动查询进件信息状态
export function queryEntry(data) {
	return request({
		url: urlType + '/admin/data/entryManager/queryEntry',
		method: "GET",
		data: {
			...data,
		},
	});
}
//申请进件


export function addEntryManager(data) {
	return request({
		url: urlType + '/admin/data/entryManager',
		method: "POST",
		data: {
			...data,
		},
	});
}